Package ru.bitel.bgbilling.modules.ipn.server.bean

# Class DetailCreateTask

java.lang.Object
ru.bitel.bgbilling.modules.ipn.server.bean.DetailCreateTask

All Implemented Interfaces:
  `Serializable`

public class DetailCreateTask extends Object implements Serializable

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `DIALUP_MODULE`
  `static final int`
  `IPN_MODULE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DetailCreateTask()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getCount()`
  `String`
  `getDialupLogin()`
  `List<IpNet>`
  `getDialupNetList()`
  `long`
  `getDialupSessionIp()`
  `String`
  `getEmail()`
  `String`
  `getFileName()`
  `long`
  `getIpnFromAddr()`
  `Calendar`
  `getIpnHour()`
  `Set<Integer>`
  `getIpnIfaceSet()`
  `long`
  `getIpnToAddr()`
  `String`
  `getLogins()`
  `int`
  `getModule()`
  `Calendar`
  `getSessionEnd()`
  `Calendar`
  `getSessionStart()`
  `int`
  `getSourceId()`
  `boolean`
  `isMonthPeriod()`
  `void`
  `setCount(int count)`
  `void`
  `setDialupLogin(String dialupLogin)`
  `void`
  `setDialupNetList(List<IpNet> dialupNetList)`
  `void`
  `setDialupSessionIp(long dialupSessionIp)`
  `void`
  `setEmail(String email)`
  `void`
  `setFileName(String fileName)`
  `void`
  `setIpnFromAddr(long ipnFromAddr)`
  `void`
  `setIpnHour(Calendar hour)`
  `void`
  `setIpnIfaceSet(Set<Integer> ipnIfaceSet)`
  `void`
  `setIpnToAddr(long ipnToAddr)`
  `void`
  `setLogins(String logins)`
  `void`
  `setModule(int module)`
  `void`
  `setMonthPeriod(boolean monthPeriod)`
  `void`
  `setSessionEnd(Calendar dialupSesssionEnd)`
  `void`
  `setSessionStart(Calendar dialupSessionStart)`
  `void`
  `setSourceId(int sourceId)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DIALUP_MODULE

    public static final int DIALUP_MODULE
    See Also:
      - Constant Field Values

  - ### IPN_MODULE

    public static final int IPN_MODULE
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### DetailCreateTask

    public DetailCreateTask()

- ## Method Details

  - ### getCount

    public int getCount()

  - ### setCount

    public void setCount(int count)

  - ### getLogins

    public String getLogins()

  - ### setLogins

    public void setLogins(String logins)

  - ### getFileName

    public String getFileName()

  - ### setFileName

    public void setFileName(String fileName)

  - ### isMonthPeriod

    public boolean isMonthPeriod()

  - ### setMonthPeriod

    public void setMonthPeriod(boolean monthPeriod)

  - ### getIpnHour

    public Calendar getIpnHour()

  - ### setIpnHour

    public void setIpnHour(Calendar hour)

  - ### getDialupLogin

    public String getDialupLogin()

  - ### setDialupLogin

    public void setDialupLogin(String dialupLogin)

  - ### getSessionStart

    public Calendar getSessionStart()

  - ### setSessionStart

    public void setSessionStart(Calendar dialupSessionStart)

  - ### getSessionEnd

    public Calendar getSessionEnd()

  - ### setSessionEnd

    public void setSessionEnd(Calendar dialupSesssionEnd)

  - ### getIpnFromAddr

    public long getIpnFromAddr()

  - ### setIpnFromAddr

    public void setIpnFromAddr(long ipnFromAddr)

  - ### getIpnToAddr

    public long getIpnToAddr()

  - ### setIpnToAddr

    public void setIpnToAddr(long ipnToAddr)

  - ### getModule

    public int getModule()

  - ### setModule

    public void setModule(int module)

  - ### getIpnIfaceSet

    public Set<Integer> getIpnIfaceSet()

  - ### setIpnIfaceSet

    public void setIpnIfaceSet(Set<Integer> ipnIfaceSet)

  - ### getSourceId

    public int getSourceId()

  - ### setSourceId

    public void setSourceId(int sourceId)

  - ### getDialupSessionIp

    public long getDialupSessionIp()

  - ### setDialupSessionIp

    public void setDialupSessionIp(long dialupSessionIp)

  - ### getEmail

    public String getEmail()

  - ### setEmail

    public void setEmail(String email)

  - ### getDialupNetList

    public List<IpNet> getDialupNetList()

  - ### setDialupNetList

    public void setDialupNetList(List<IpNet> dialupNetList)